Name: H5Tenum_nameof
Signature:
  herr_t `H5Tenum_nameof`( hid_t `type`, void *`value`, char *`name`, size_t `size` )
Purpose:
  Returns the symbol name corresponding to a specified member of an enumeration datatype.
Description:
  `H5Tenum_nameof` finds the symbol name that corresponds to the specified `value` of the enumeration datatype `type`.

  At most `size` characters of the symbol name are copied into the `name` buffer. If the entire symbol name and null terminator do not fit in the `name` buffer, then as many characters as possible are copied (not null terminated) and the function fails.

Parameters:

hid_t `type` | IN: Enumeration datatype identifier.
void *`value` | IN: Value of the enumeration datatype.
char *`name` | OUT: Buffer for output of the symbol name.
size_t `size` | IN: Anticipated size of the symbol name, in bytes (characters).

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value and, if `size` allows it, the first character of `name` is set to `NULL`.
Fortran90 Interface: h5tenum_nameof_f

      SUBROUTINE h5tenum_nameof_f(type_id, value, namelen, name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id  ! Datatype identifier
        INTEGER, INTENT(IN) :: value           ! Value of the enumeration datatype
        INTEGER(SIZE_T), INTENT(IN) :: namelen ! Length of the name
        CHARACTER(LEN=*), INTENT(OUT) :: name  ! Name of the enumeration datatype
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
      END SUBROUTINE h5tenum_nameof_f